Index: code/branches/core6/src/modules/questsystem/Quest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/Quest.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/Quest.cc	(revision 9629)
@@ -49,5 +49,5 @@
         Constructor. Registers and initializes object.
     */
-    Quest::Quest(BaseObject* creator) : QuestItem(creator)
+    Quest::Quest(Context* context) : QuestItem(context)
     {
         RegisterObject(Quest);
Index: code/branches/core6/src/modules/questsystem/Quest.h
===================================================================
--- code/branches/core6/src/modules/questsystem/Quest.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/Quest.h	(revision 9629)
@@ -82,5 +82,5 @@
     { // tolua_export
         public:
-            Quest(BaseObject* creator);
+            Quest(Context* context);
             virtual ~Quest();
 
Index: code/branches/core6/src/modules/questsystem/QuestDescription.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestDescription.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestDescription.cc	(revision 9629)
@@ -52,5 +52,5 @@
         Constructor. Registers and initializes the object.
     */
-    QuestDescription::QuestDescription(BaseObject* creator) : BaseObject(creator)
+    QuestDescription::QuestDescription(Context* context) : BaseObject(context)
     {
         RegisterObject(QuestDescription);
Index: code/branches/core6/src/modules/questsystem/QuestDescription.h
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestDescription.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestDescription.h	(revision 9629)
@@ -64,5 +64,5 @@
 // tolua_end
         public:
-            QuestDescription(BaseObject* creator);
+            QuestDescription(Context* context);
             virtual ~QuestDescription();
 
Index: code/branches/core6/src/modules/questsystem/QuestEffect.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestEffect.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestEffect.cc	(revision 9629)
@@ -42,5 +42,5 @@
         Is not meant to be invoked directly, since this is only an interface.
     */
-    QuestEffect::QuestEffect(BaseObject* creator) : BaseObject(creator)
+    QuestEffect::QuestEffect(Context* context) : BaseObject(context)
     {
         RegisterObject(QuestEffect);
Index: code/branches/core6/src/modules/questsystem/QuestEffect.h
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestEffect.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestEffect.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            QuestEffect(BaseObject* creator);
+            QuestEffect(Context* context);
             virtual ~QuestEffect();
 
Index: code/branches/core6/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestEffectBeacon.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestEffectBeacon.cc	(revision 9629)
@@ -51,5 +51,5 @@
         Constructor. Registers the object and initializes defaults.
     */
-    QuestEffectBeacon::QuestEffectBeacon(BaseObject* creator) : StaticEntity(creator)
+    QuestEffectBeacon::QuestEffectBeacon(Context* context) : StaticEntity(context)
     {
         RegisterObject(QuestEffectBeacon);
Index: code/branches/core6/src/modules/questsystem/QuestEffectBeacon.h
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestEffectBeacon.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestEffectBeacon.h	(revision 9629)
@@ -93,5 +93,5 @@
     {
         public:
-            QuestEffectBeacon(BaseObject* creator);
+            QuestEffectBeacon(Context* context);
             virtual ~QuestEffectBeacon();
 
Index: code/branches/core6/src/modules/questsystem/QuestHint.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestHint.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestHint.cc	(revision 9629)
@@ -49,5 +49,5 @@
         Constructor. Registers the object.
     */
-    QuestHint::QuestHint(BaseObject* creator) : QuestItem(creator)
+    QuestHint::QuestHint(Context* context) : QuestItem(context)
     {
         RegisterObject(QuestHint);
Index: code/branches/core6/src/modules/questsystem/QuestHint.h
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestHint.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestHint.h	(revision 9629)
@@ -82,5 +82,5 @@
 
         public:
-            QuestHint(BaseObject* creator);
+            QuestHint(Context* context);
             virtual ~QuestHint();
 
Index: code/branches/core6/src/modules/questsystem/QuestItem.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestItem.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestItem.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers and initializes the object.
     */
-    QuestItem::QuestItem(BaseObject* creator) : BaseObject(creator)
+    QuestItem::QuestItem(Context* context) : BaseObject(context)
     {
         this->registered_ = false;
Index: code/branches/core6/src/modules/questsystem/QuestItem.h
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestItem.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestItem.h	(revision 9629)
@@ -60,5 +60,5 @@
 
         public:
-            QuestItem(BaseObject* creator);
+            QuestItem(Context* context);
             virtual ~QuestItem();
 
Index: code/branches/core6/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestListener.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestListener.cc	(revision 9629)
@@ -54,5 +54,5 @@
         Constructor. Registers the object and initializes variables.
     */
-    QuestListener::QuestListener(BaseObject* creator) : BaseObject(creator)
+    QuestListener::QuestListener(Context* context) : BaseObject(context)
     {
         RegisterObject(QuestListener);
Index: code/branches/core6/src/modules/questsystem/QuestListener.h
===================================================================
--- code/branches/core6/src/modules/questsystem/QuestListener.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/QuestListener.h	(revision 9629)
@@ -87,5 +87,5 @@
 
         public:
-            QuestListener(BaseObject* creator);
+            QuestListener(Context* context);
             virtual ~QuestListener();
 
Index: code/branches/core6/src/modules/questsystem/effects/AddQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddQuest.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/AddQuest.cc	(revision 9629)
@@ -49,5 +49,5 @@
         Constructor. Registers the object.
     */
-    AddQuest::AddQuest(BaseObject* creator) : ChangeQuestStatus(creator)
+    AddQuest::AddQuest(Context* context) : ChangeQuestStatus(context)
     {
         RegisterObject(AddQuest);
Index: code/branches/core6/src/modules/questsystem/effects/AddQuest.h
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddQuest.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/AddQuest.h	(revision 9629)
@@ -59,5 +59,5 @@
     {
         public:
-        AddQuest(BaseObject* creator);
+        AddQuest(Context* context);
         virtual ~AddQuest();
 
Index: code/branches/core6/src/modules/questsystem/effects/AddQuestHint.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddQuestHint.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/AddQuestHint.cc	(revision 9629)
@@ -50,5 +50,5 @@
         Constructor. Registers the object.
     */
-    AddQuestHint::AddQuestHint(BaseObject* creator) : QuestEffect(creator)
+    AddQuestHint::AddQuestHint(Context* context) : QuestEffect(context)
     {
         RegisterObject(AddQuestHint);
Index: code/branches/core6/src/modules/questsystem/effects/AddQuestHint.h
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddQuestHint.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/AddQuestHint.h	(revision 9629)
@@ -61,5 +61,5 @@
     {
         public:
-            AddQuestHint(BaseObject* creator);
+            AddQuestHint(Context* context);
             virtual ~AddQuestHint();
 
Index: code/branches/core6/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddReward.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/AddReward.cc	(revision 9629)
@@ -47,5 +47,5 @@
         Constructor. Registers the object.
     */
-    AddReward::AddReward(BaseObject* creator) : QuestEffect(creator)
+    AddReward::AddReward(Context* context) : QuestEffect(context)
     {
         RegisterObject(AddReward);
Index: code/branches/core6/src/modules/questsystem/effects/AddReward.h
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/AddReward.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/AddReward.h	(revision 9629)
@@ -65,5 +65,5 @@
     {
         public:
-            AddReward(BaseObject* creator);
+            AddReward(Context* context);
             virtual ~AddReward();
 
Index: code/branches/core6/src/modules/questsystem/effects/ChangeQuestStatus.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 9629)
@@ -46,5 +46,5 @@
         Constructor. Registers the object.
     */
-    ChangeQuestStatus::ChangeQuestStatus(BaseObject* creator) : QuestEffect(creator)
+    ChangeQuestStatus::ChangeQuestStatus(Context* context) : QuestEffect(context)
     {
         RegisterObject(ChangeQuestStatus);
Index: code/branches/core6/src/modules/questsystem/effects/ChangeQuestStatus.h
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 9629)
@@ -56,5 +56,5 @@
     {
         public:
-            ChangeQuestStatus(BaseObject* creator);
+            ChangeQuestStatus(Context* context);
             virtual ~ChangeQuestStatus();
 
Index: code/branches/core6/src/modules/questsystem/effects/CompleteQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/CompleteQuest.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/CompleteQuest.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers the object.
     */
-    CompleteQuest::CompleteQuest(BaseObject* creator) : ChangeQuestStatus(creator)
+    CompleteQuest::CompleteQuest(Context* context) : ChangeQuestStatus(context)
     {
         RegisterObject(CompleteQuest);
Index: code/branches/core6/src/modules/questsystem/effects/CompleteQuest.h
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/CompleteQuest.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/CompleteQuest.h	(revision 9629)
@@ -59,5 +59,5 @@
     {
         public:
-            CompleteQuest(BaseObject* creator);
+            CompleteQuest(Context* context);
             virtual ~CompleteQuest();
 
Index: code/branches/core6/src/modules/questsystem/effects/FailQuest.cc
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/FailQuest.cc	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/FailQuest.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers the object.
     */
-    FailQuest::FailQuest(BaseObject* creator) : ChangeQuestStatus(creator)
+    FailQuest::FailQuest(Context* context) : ChangeQuestStatus(context)
     {
         RegisterObject(FailQuest);
Index: code/branches/core6/src/modules/questsystem/effects/FailQuest.h
===================================================================
--- code/branches/core6/src/modules/questsystem/effects/FailQuest.h	(revision 9628)
+++ code/branches/core6/src/modules/questsystem/effects/FailQuest.h	(revision 9629)
@@ -59,5 +59,5 @@
     {
         public:
-            FailQuest(BaseObject* creator);
+            FailQuest(Context* context);
             virtual ~FailQuest();
 
Index: code/branches/core6/src/modules/tetris/Tetris.cc
===================================================================
--- code/branches/core6/src/modules/tetris/Tetris.cc	(revision 9628)
+++ code/branches/core6/src/modules/tetris/Tetris.cc	(revision 9629)
@@ -61,5 +61,5 @@
     @ingroup Tetris
     */
-    Tetris::Tetris(BaseObject* creator) : Deathmatch(creator)
+    Tetris::Tetris(Context* context) : Deathmatch(context)
     {
         RegisterObject(Tetris);
@@ -379,5 +379,5 @@
     {
         // create new futureBrick_
-        this->futureBrick_ = new TetrisBrick(this->center_);
+        this->futureBrick_ = new TetrisBrick(this->center_->getContext());
 
 
Index: code/branches/core6/src/modules/tetris/Tetris.h
===================================================================
--- code/branches/core6/src/modules/tetris/Tetris.h	(revision 9628)
+++ code/branches/core6/src/modules/tetris/Tetris.h	(revision 9629)
@@ -55,5 +55,5 @@
     {
         public:
-            Tetris(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            Tetris(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~Tetris(); //!< Destructor. Cleans up, if initialized.
 
Index: code/branches/core6/src/modules/tetris/TetrisBrick.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisBrick.cc	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisBrick.cc	(revision 9629)
@@ -51,5 +51,5 @@
     @ingroup Tetris
     */
-    TetrisBrick::TetrisBrick(BaseObject* creator): ControllableEntity(creator)
+    TetrisBrick::TetrisBrick(Context* context): ControllableEntity(context)
     {
         RegisterObject(TetrisBrick);
@@ -77,5 +77,5 @@
         {
             // Create a new stone and add it to the brick.
-            TetrisStone* stone = new TetrisStone(this);
+            TetrisStone* stone = new TetrisStone(this->getContext());
             this->brickStones_.push_back(stone);
             this->attach(stone);
Index: code/branches/core6/src/modules/tetris/TetrisBrick.h
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisBrick.h	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisBrick.h	(revision 9629)
@@ -54,5 +54,5 @@
     {
         public:
-            TetrisBrick(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            TetrisBrick(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~TetrisBrick() {}
 
Index: code/branches/core6/src/modules/tetris/TetrisCenterpoint.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisCenterpoint.cc	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisCenterpoint.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers and initializes the object and checks whether the gametype is actually Tetris.
     */
-    TetrisCenterpoint::TetrisCenterpoint(BaseObject* creator) : StaticEntity(creator)
+    TetrisCenterpoint::TetrisCenterpoint(Context* context) : StaticEntity(context)
     {
         RegisterObject(TetrisCenterpoint);
Index: code/branches/core6/src/modules/tetris/TetrisCenterpoint.h
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisCenterpoint.h	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisCenterpoint.h	(revision 9629)
@@ -59,5 +59,5 @@
     {
         public:
-            TetrisCenterpoint(BaseObject* creator); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Tetris.
+            TetrisCenterpoint(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Tetris.
             virtual ~TetrisCenterpoint() {}
 
Index: code/branches/core6/src/modules/tetris/TetrisScore.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisScore.cc	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisScore.cc	(revision 9629)
@@ -52,5 +52,5 @@
     @ingroup Tetris
     */
-    TetrisScore::TetrisScore(BaseObject* creator) : OverlayText(creator)
+    TetrisScore::TetrisScore(Context* context) : OverlayText(context)
     {
         RegisterObject(TetrisScore);
Index: code/branches/core6/src/modules/tetris/TetrisScore.h
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisScore.h	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisScore.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            TetrisScore(BaseObject* creator);
+            TetrisScore(Context* context);
             virtual ~TetrisScore();
 
Index: code/branches/core6/src/modules/tetris/TetrisStone.cc
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisStone.cc	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisStone.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers and initializes the object.
     */
-    TetrisStone::TetrisStone(BaseObject* creator) : MovableEntity(creator)
+    TetrisStone::TetrisStone(Context* context) : MovableEntity(context)
     {
         RegisterObject(TetrisStone);
Index: code/branches/core6/src/modules/tetris/TetrisStone.h
===================================================================
--- code/branches/core6/src/modules/tetris/TetrisStone.h	(revision 9628)
+++ code/branches/core6/src/modules/tetris/TetrisStone.h	(revision 9629)
@@ -54,5 +54,5 @@
     {
         public:
-            TetrisStone(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            TetrisStone(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~TetrisStone() {}
 
Index: code/branches/core6/src/modules/towerdefense/Tower.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/Tower.cc	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/Tower.cc	(revision 9629)
@@ -22,5 +22,5 @@
         Constructor. Registers and initializes the object.
     */
-    Tower::Tower(BaseObject* creator) : Pawn(creator)
+    Tower::Tower(Context* context) : Pawn(context)
     {
         RegisterObject(Tower);
Index: code/branches/core6/src/modules/towerdefense/Tower.h
===================================================================
--- code/branches/core6/src/modules/towerdefense/Tower.h	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/Tower.h	(revision 9629)
@@ -27,5 +27,5 @@
     {
     public:
-        Tower(BaseObject* creator);
+        Tower(Context* context);
         virtual ~Tower() {};
 
Index: code/branches/core6/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefense.cc	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefense.cc	(revision 9629)
@@ -96,5 +96,5 @@
     CreateUnloadableFactory(TowerDefense);
 
-    TowerDefense::TowerDefense(BaseObject* creator) : Deathmatch(creator)
+    TowerDefense::TowerDefense(Context* context) : Deathmatch(context)
     {
         RegisterObject(TowerDefense);
@@ -190,5 +190,5 @@
 
         // Create tower
-        Tower* newTower = new Tower(this->center_);
+        Tower* newTower = new Tower(this->center_->getContext());
         newTower->addTemplate(this->center_->getTowerTemplate());
 
Index: code/branches/core6/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefense.h	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefense.h	(revision 9629)
@@ -48,5 +48,5 @@
     {
     public:
-        TowerDefense(BaseObject* creator);
+        TowerDefense(Context* context);
         virtual ~TowerDefense();
 
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9629)
@@ -47,5 +47,5 @@
         Constructor. Registers and initializes the object and checks whether the gametype is actually TowerDefense.
     */
-    TowerDefenseCenterpoint::TowerDefenseCenterpoint(BaseObject* creator) : MobileEntity(creator)
+    TowerDefenseCenterpoint::TowerDefenseCenterpoint(Context* context) : MobileEntity(context)
     {
         RegisterObject(TowerDefenseCenterpoint);
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9629)
@@ -49,5 +49,5 @@
     {
         public:
-            TowerDefenseCenterpoint(BaseObject* creator);
+            TowerDefenseCenterpoint(Context* context);
             virtual ~TowerDefenseCenterpoint() {}
 
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseController.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseController.cc	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseController.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(TowerDefenseController);
 
-    TowerDefenseController::TowerDefenseController(BaseObject* creator) : WaypointController(creator)
+    TowerDefenseController::TowerDefenseController(Context* context) : WaypointController(context)
     {
         RegisterObject(TowerDefenseController);
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseController.h
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseController.h	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseController.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            TowerDefenseController(BaseObject* creator);
+            TowerDefenseController(Context* context);
             virtual ~TowerDefenseController() {}
 
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.cc
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(TowerDefenseHUDController);
 
-    TowerDefenseHUDController::TowerDefenseHUDController(BaseObject* creator) : OverlayText(creator)
+    TowerDefenseHUDController::TowerDefenseHUDController(Context* context) : OverlayText(context)
     {
         RegisterObject(TowerDefenseHUDController);
Index: code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.h
===================================================================
--- code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 9628)
+++ code/branches/core6/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 9629)
@@ -49,5 +49,5 @@
     {
     public:
-        TowerDefenseHUDController(BaseObject* creator);
+        TowerDefenseHUDController(Context* context);
         virtual ~TowerDefenseHUDController();
 
Index: code/branches/core6/src/modules/weapons/MuzzleFlash.cc
===================================================================
--- code/branches/core6/src/modules/weapons/MuzzleFlash.cc	(revision 9628)
+++ code/branches/core6/src/modules/weapons/MuzzleFlash.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(MuzzleFlash);
 
-    MuzzleFlash::MuzzleFlash(BaseObject* creator) : Billboard(creator)
+    MuzzleFlash::MuzzleFlash(Context* context) : Billboard(context)
     {
         RegisterObject(MuzzleFlash);
Index: code/branches/core6/src/modules/weapons/MuzzleFlash.h
===================================================================
--- code/branches/core6/src/modules/weapons/MuzzleFlash.h	(revision 9628)
+++ code/branches/core6/src/modules/weapons/MuzzleFlash.h	(revision 9629)
@@ -55,5 +55,5 @@
     {
         public:
-            MuzzleFlash(BaseObject* creator);
+            MuzzleFlash(Context* context);
             virtual ~MuzzleFlash() {}
 
Index: code/branches/core6/src/modules/weapons/RocketController.cc
===================================================================
--- code/branches/core6/src/modules/weapons/RocketController.cc	(revision 9628)
+++ code/branches/core6/src/modules/weapons/RocketController.cc	(revision 9629)
@@ -45,5 +45,5 @@
         Constructor.
     */
-    RocketController::RocketController(BaseObject* creator) : Controller(creator)
+    RocketController::RocketController(Context* context) : Controller(context)
     {
         RegisterObject(RocketController);
@@ -51,5 +51,5 @@
 
         // Create a rocket for the controller.
-        this->rocket_ = new SimpleRocket(this);
+        this->rocket_ = new SimpleRocket(this->getContext());
         this->rocket_->setController(this);
         this->setControllableEntity(orxonox_cast<ControllableEntity*>(this->rocket_));
Index: code/branches/core6/src/modules/weapons/RocketController.h
===================================================================
--- code/branches/core6/src/modules/weapons/RocketController.h	(revision 9628)
+++ code/branches/core6/src/modules/weapons/RocketController.h	(revision 9629)
@@ -52,5 +52,5 @@
     {
         public:
-            RocketController(BaseObject* creator);
+            RocketController(Context* context);
             virtual ~RocketController();
 
Index: code/branches/core6/src/modules/weapons/munitions/FusionMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/FusionMunition.cc	(revision 9628)
+++ code/branches/core6/src/modules/weapons/munitions/FusionMunition.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(FusionMunition);
 
-    FusionMunition::FusionMunition(BaseObject* creator) : Munition(creator)
+    FusionMunition::FusionMunition(Context* context) : Munition(context)
     {
         RegisterObject(FusionMunition);
Index: code/branches/core6/src/modules/weapons/munitions/FusionMunition.h
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/FusionMunition.h	(revision 9628)
+++ code/branches/core6/src/modules/weapons/munitions/FusionMunition.h	(revision 9629)
@@ -51,5 +51,5 @@
     {
         public:
-            FusionMunition(BaseObject* creator);
+            FusionMunition(Context* context);
             virtual ~FusionMunition() {}
     };
Index: code/branches/core6/src/modules/weapons/munitions/LaserMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/LaserMunition.cc	(revision 9628)
+++ code/branches/core6/src/modules/weapons/munitions/LaserMunition.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(LaserMunition);
 
-    LaserMunition::LaserMunition(BaseObject* creator) : ReplenishingMunition(creator)
+    LaserMunition::LaserMunition(Context* context) : ReplenishingMunition(context)
     {
         RegisterObject(LaserMunition);
Index: code/branches/core6/src/modules/weapons/munitions/LaserMunition.h
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/LaserMunition.h	(revision 9628)
+++ code/branches/core6/src/modules/weapons/munitions/LaserMunition.h	(revision 9629)
@@ -51,5 +51,5 @@
     {
         public:
-            LaserMunition(BaseObject* creator);
+            LaserMunition(Context* context);
             virtual ~LaserMunition() {}
     };
Index: code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.cc	(revision 9628)
+++ code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(ReplenishingMunition);
 
-    ReplenishingMunition::ReplenishingMunition(BaseObject* creator) : Munition(creator)
+    ReplenishingMunition::ReplenishingMunition(Context* context) : Munition(context)
     {
         RegisterObject(ReplenishingMunition);
Index: code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.h
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.h	(revision 9628)
+++ code/branches/core6/src/modules/weapons/munitions/ReplenishingMunition.h	(revision 9629)
@@ -53,5 +53,5 @@
     {
         public:
-            ReplenishingMunition(BaseObject* creator);
+            ReplenishingMunition(Context* context);
             virtual ~ReplenishingMunition() {}
 
Index: code/branches/core6/src/modules/weapons/munitions/RocketMunition.cc
===================================================================
--- code/branches/core6/src/modules/weapons/munitions/RocketMunition.cc	(revision 9628)
+++ code/branches/core6/src/modules/weapons/munitions/RocketMunition.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(RocketMunition);
 
-    RocketMunition::RocketMunition(BaseObject* creator) : Munition(creator)
+    RocketMunition::RocketMunition(Context* context) : Munition(context)
     {
         RegisterObject(RocketMunition);
